# Copyright (C) 2009 Nick Bowler
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

noinst_HEADERS += engine/music.h engine/texture.h engine/music-module.h

pkglib_LTLIBRARIES += engine.la
engine_la_SOURCES   = engine/music.c engine/texture.c engine/engine.c
engine_la_CFLAGS    = $(GLIB_CFLAGS)
engine_la_LIBADD    = $(GLIB_LIBS)
engine_la_LDFLAGS   = -module -avoid-version -export-symbols-regex _LTX_

if USE_DUMMYMOD
engine_la_SOURCES += engine/music-dummymod.c
endif

if USE_LIBMODPLUG
engine_la_SOURCES += engine/music-modplug.c engine/modplug-types.h
engine_la_CFLAGS  += $(LIBMODPLUG_CFLAGS)
engine_la_LIBADD  += $(LIBMODPLUG_LIBS)
endif
